# FaradayMiddleware::Avro

Faraday request middleware.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'faraday_middleware-avro'
```

And then execute:

    $ bundle

## Usage

```ruby
connection = Faraday.new do |conn|
  conn.request :avro, schemas_path: File.expand_path(File.dirname(__FILE__))
  conn.adapter Faraday.default_adapter
end


offer = { name: "Minha oferta",
    unit: "Kg",
    seller_code: "123",
    seller_categories: "Categoria 1",
    catalogs: ["outono"]
}

connection.post("http://0.0.0.0:3000/endpoint", offer, 'Avro-Schema' => 'offer')
```

## Todo

- Make it possible to pass the schema

## Contributing

1. Fork it ( https://github.com/[my-github-username]/faraday_middleware-avro/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
