# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'faraday_middleware/avro/version'

Gem::Specification.new do |spec|
  spec.name          = "faraday_middleware-avro"
  spec.version       = FaradayMiddleware::Avro::VERSION
  spec.authors       = ["Guilherme Cavalcanti"]
  spec.email         = ["guiocavalcanti@gmail.com"]
  spec.summary       = "Faraday middleware to encode and decode HTTP requests using avro"
  spec.description   = "Faraday middleware to encode and decode HTTP requests using avro"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"

  spec.add_dependency "faraday_middleware", '>= 0.8.0'
  spec.add_dependency "avro_turf", ">= 0.4.1"
end
